import z from 'zod';
export declare const profileSchema: z.ZodObject<{
    id: z.ZodString;
    shortId: z.ZodNumber;
    phoneNumber: z.ZodEffects<z.ZodString, string, string>;
    secondaryPhoneNumber: z.ZodEffects<z.ZodOptional<z.ZodString>, string | undefined, string | undefined>;
    fullName: z.ZodString;
    firstName: z.ZodString;
    gender: z.ZodOptional<z.ZodString>;
    birthDate: z.ZodOptional<z.ZodDate>;
    profilePictureUrl: z.ZodOptional<z.ZodString>;
    instagram: z.ZodOptional<z.ZodString>;
    mail: z.ZodOptional<z.ZodString>;
    dni: z.ZodOptional<z.ZodString>;
    alternativeNames: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    birthLongitude: z.ZodOptional<z.ZodNumber>;
    birthLatitude: z.ZodOptional<z.ZodNumber>;
    residenceLongitude: z.ZodOptional<z.ZodNumber>;
    residenceLatitude: z.ZodOptional<z.ZodNumber>;
    isInTrash: z.ZodBoolean;
    movedToTrashDate: z.ZodOptional<z.ZodDate>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    id: string;
    phoneNumber: string;
    fullName: string;
    created_at: Date;
    updated_at: Date;
    shortId: number;
    firstName: string;
    isInTrash: boolean;
    secondaryPhoneNumber?: string | undefined;
    profilePictureUrl?: string | undefined;
    gender?: string | undefined;
    birthDate?: Date | undefined;
    instagram?: string | undefined;
    mail?: string | undefined;
    dni?: string | undefined;
    alternativeNames?: string[] | undefined;
    birthLongitude?: number | undefined;
    birthLatitude?: number | undefined;
    residenceLongitude?: number | undefined;
    residenceLatitude?: number | undefined;
    movedToTrashDate?: Date | undefined;
}, {
    id: string;
    phoneNumber: string;
    fullName: string;
    created_at: Date;
    updated_at: Date;
    shortId: number;
    firstName: string;
    isInTrash: boolean;
    secondaryPhoneNumber?: string | undefined;
    profilePictureUrl?: string | undefined;
    gender?: string | undefined;
    birthDate?: Date | undefined;
    instagram?: string | undefined;
    mail?: string | undefined;
    dni?: string | undefined;
    alternativeNames?: string[] | undefined;
    birthLongitude?: number | undefined;
    birthLatitude?: number | undefined;
    residenceLongitude?: number | undefined;
    residenceLatitude?: number | undefined;
    movedToTrashDate?: Date | undefined;
}>;
